- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties

# QPropertyAnimation Class Reference

Search for all occurrences

## Detailed Description

Definition at line 56 of file qpropertyanimation.h.

`#include <qpropertyanimation.h>`

Inheritance diagram for QPropertyAnimation:
[legend]

List of all members.

## Public Member Functions
| QPropertyAnimation (QObject *parent=0)
| QPropertyAnimation (QObject *target, const QByteArray &propertyName, QObject *parent=0)
| ~QPropertyAnimation ()
QObject * | targetObject () const
void | setTargetObject (QObject *target)
QByteArray | propertyName () const
void | setPropertyName (const QByteArray &propertyName)
## Protected Member Functions
bool | event (QEvent *event)
void | updateCurrentValue (const QVariant &value)
void | updateState (QAbstractAnimation::State newState, QAbstractAnimation::State oldState)
## Properties
QByteArray | propertyName
QObject | targetObject

## Constructor & Destructor Documentation

QPropertyAnimation | ( | QObject * | parent = `0` | ) |

QPropertyAnimation | ( | QObject * | target,
|  | const QByteArray & | propertyName,
|  | QObject * | parent = `0`
| ) |  |

~QPropertyAnimation | ( |  | ) |

## Member Function Documentation

QObject* targetObject | ( |  | ) | const

Search for all occurrences

void setTargetObject | ( | QObject * | target | ) |

Search for all occurrences

QByteArray propertyName | ( |  | ) | const

Search for all occurrences

void setPropertyName | ( | const QByteArray & | propertyName | ) |

Search for all occurrences

bool event | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QVariantAnimation.

void updateCurrentValue | ( | const QVariant & | value | ) | `[protected, virtual]`

Search for all occurrences

Implements QVariantAnimation.

void updateState | ( | QAbstractAnimation::State | newState,
|  | QAbstractAnimation::State | oldState
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QVariantAnimation.

## Property Documentation

QByteArray propertyName `[read, write]`

Search for all occurrences

Definition at line 59 of file qpropertyanimation.h.

QObject targetObject `[read, write]`

Search for all occurrences

Definition at line 60 of file qpropertyanimation.h.

The documentation for this class was generated from the following file:

- QtCore/qpropertyanimation.h

QPropertyAnimation QPropertyAnimation QPropertyAnimation QPropertyAnimation QPropertyAnimation QPropertyAnimation QPropertyAnimation QPropertyAnimation QPropertyAnimation QPropertyAnimation
QPropertyAnimation QPropertyAnimation QPropertyAnimation QPropertyAnimation QPropertyAnimation QPropertyAnimation QPropertyAnimation QPropertyAnimation QPropertyAnimation QPropertyAnimation